@font-face {
    font-family: "Play";
    src:
        url("/fonts/Play-Bold.woff") format("woff"),
        url("/fonts/Play-Bold.woff") format("woff");
    font-weight: bold;
    font-style: normal;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Play", sans-serif;
}
ul {
    list-style: none;
    margin: 0;
}
img {
    max-width: 100%;
}
body {
    width: 100%;
    min-height: 100vh;
    background: url("./images/main-bg.webp") center center / cover no-repeat;
    overflow-x: hidden;
}
.main-mobile {
    display: none;
}
header {
    width: 100%;
    padding: 10px 20px;
    background: linear-gradient(90deg, #008346 0%, #03ec80 100%);
    box-shadow: 0 2px 5px rgba(0, 148, 79, 0.9);
}
.hd-container {
    width: 100%;
    max-width: 1700px;
    margin: 0 auto;
    padding: 0 50px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.site-logo {
    height: 60px;
}
.site-logo img {
    height: 100%;
}
.hd-menu {
    display: flex;
    align-items: center;
    justify-content: center;
    padding-right: 50px;
}
.hd-menu li a {
    font-weight: 900;
    text-transform: uppercase;
}
main {
    width: 100%;
    max-width: 1700px;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: center;
}
.flex-col {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.flex-row {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}
.left-site,
.right-site {
    position: relative;
}

.gold-btn {
    font-family: Roboto, sans-serif;
    display: inline-block;
    padding: 15px 30px;
    font-weight: bold;
    text-decoration: none;
    color: #333;

    background: linear-gradient(to bottom, #ffd84d, #d49a00);
    border-radius: 10px;
    /* border-top-left-radius: 0;
    border-bottom-left-radius: 38px;
    border-top-right-radius: 38px;
    border-bottom-right-radius: 0; */

    position: relative;
    transition: all 0.2s ease;
    box-shadow: 0 2px 5px 2px rgba(0, 0, 0, 0.3);
}
.gold-btn:hover {
    background: linear-gradient(to bottom, #ffb900, #d49a00);
    color: #444;
    box-shadow:
        0 0 5px #ffc72c,
        0 0 7px #ffd04f,
        0 0 10px #ffdd81;
}
.teams {
    margin-top: 50px;
}
.teams .vs {
    margin: 40px 0;
}
/* top shine */
.gold-btn::before {
    content: "";
    position: absolute;
    left: 2px;
    right: 2px;
    top: 1px;
    height: 45%;
    background: linear-gradient(to bottom, rgba(255, 255, 255, 0.8), rgba(255, 255, 255, 0));
    pointer-events: none;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}
.box-detail {
    border-radius: 10px;
    border: solid 2px #fff;
    text-transform: uppercase;
    font-weight: 900;
    text-align: center;
    font-size: 20px;
}
.box-detail div {
    margin: 2px;
    width: 200px;
    height: 50px;
    transition: all 0.3s ease;
    white-space: nowrap;
    display: flex;
    justify-content: center;
    align-items: center;
}

.box-detail div:first-child {
    background: rgba(255, 255, 255, 0.9);
    color: #333;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
}
.box-detail div:last-child {
    background: rgba(0, 151, 68, 0.8);
    color: #ff0000;
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
}
.match-details {
    position: absolute;
    bottom: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.match-details .box-detail {
    margin: 10px;
}
.match-details .box-detail div {
    min-width: 250px;
}
.box-detail div:last-child {
    font-size: 36px;
    text-shadow:
        -1px -1px 0 white,
        1px -1px 0 white,
        -1px 1px 0 white,
        1px 1px 0 white,
        0px 1px 0 white,
        1px 0px 0 white,
        -1px 0px 0 white,
        0px -1px 0 white;
}
.copyline {
    height: 190px;
    margin-top: 30px;
    margin-left: -30px;
}
.players {
    margin-top: -50px;
}
.red-btn {
    width: 100%;
    max-width: 450px;
    animation: zoombounce 1s infinite;
}
@keyframes shine {
    100% {
        left: 125%;
    }
}

@keyframes border-run {
    0%,
    100% {
        clip-path: inset(0 0 98% 0);
    }

    25% {
        clip-path: inset(0 98% 0 0);
    }
    50% {
        clip-path: inset(98% 0 0 0);
    }
    75% {
        clip-path: inset(0 0 0 98%);
    }
}

@keyframes border-run2 {
    0%,
    100% {
        clip-path: inset(98% 0 0 0);
    }

    25% {
        clip-path: inset(0 0 0 98%);
    }
    50% {
        clip-path: inset(0 0 98% 0);
    }
    75% {
        clip-path: inset(0 98% 0 0);
    }
}

@keyframes doubleBlink {
    /* normal */
    0%,
    4%,
    8%,
    100% {
        opacity: 1;
    }

    /* blink 1 */
    2% {
        opacity: 0;
    }

    /* blink 2 */
    6% {
        opacity: 0;
    }
}
@keyframes shine {
    0% {
        background-position: -200% center;
    }
    100% {
        background-position: 200% center;
    }
}
@keyframes blinkbutton {
    0%,
    100% {
        background: linear-gradient(to bottom, #ffd84d, #d49a00);
        color: #000;
        box-shadow: 0 0 20px rgba(255, 185, 0, 0.6);
    }
    50% {
        background: linear-gradient(to bottom, #303030, #333);
        color: #ffb900;
        box-shadow: 0 0 20px rgba(255, 185, 0, 0.2);
    }
}
@keyframes blinkcolor {
    0%,
    100% {
        color: #ffffff;
    }
    50% {
        color: #d80000;
    }
}
@keyframes zoombounce {
    0%,
    100% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.1);
    }
}

@media (max-width: 1024px) {
    body {
        background: url("./images/main-bg-mobile.webp") right bottom / cover no-repeat;
    }
    .main-desktop {
        display: none;
    }
    .main-mobile {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 10px 20px;
    }
    .site-logo {
        height: 35px;
    }
    .hd-container,
    .hd-menu {
        padding: 0px;
    }
    .flex-col.teams {
        flex-direction: row;
    }
    .flex-row.match-details {
        position: relative;
        bottom: unset;
        margin-top: 0px;
        flex-direction: column;
    }
    .copyline {
        margin-left: 0;
        height: auto;
    }
    .players {
        margin-top: 0;
    }
    .gold-btn {
        font-size: 14px;
        padding: 10px;
        font-weight: 600;
    }
    .teams {
        margin-top: -65px;
        width: 100%;
    }
    .teams div {
        flex-basis: 30%;
        text-align: center;
    }
    .team {
        height: 60px;
    }
    .vs {
        width: 50px;
    }
    .match-details .box-detail div {
        min-width: unset;
        width: 140px;
    }
    .box-detail div {
        font-size: 14px;
        height: 35px;
    }
}
